#!/bin/sh
cat "$@"

echo '
{   let () =
      let human = ref false in
      let set_human a () = human := a in
      let speclist = [
        ("-h", Arg.Unit (set_human true), "Enable human readable printing");
      ] in  
      let usage_msg = "usage: ./scanner [-h] [file.ctex]" in
      let channel = ref stdin in
      Arg.parse speclist (fun filename -> channel := open_in filename) usage_msg;
      let lexbuf = Lexing.from_channel stdin in
            let token_list =
              let rec next l =
                match ctex_read_token lexbuf with
                    EOF -> EOF :: l
                  | x -> next (x :: l)
              in List.rev (next [])
            in let () = List.iter (fun t -> print_token t !human) token_list
            in Printf.printf "\\n"
}
'